WordPress.org

Ready to get started?Download WordPress

Forums

Duplicator
[resolved] Installer/Package download links redirect to 404 page of blog (7 posts)

  1. masterjo
    Member
    Posted 1 year ago #

    First off: I know, my version is not marked as compatible yet.
    Was just trying out a couple of plugins with this functionality.

    Backup/package creation seems to work (zip file gets created, etc.).
    I'm stuck at the download stage - both links ("Installer" & "Package") redirect to the 404 page of my blog.
    I suspect that's due to htaccess rules restricting access to directory listings? Not sure though.

    http://wordpress.org/extend/plugins/duplicator/

  2. Cory Lamle
    Member
    Plugin Author

    Posted 1 year ago #

    Possibly, it may be the version of PHP you have doesn't support how the download portion works. You can always manually grab the package and installer file from the wp-snapshots folder...

  3. masterjo
    Member
    Posted 1 year ago #

    True, that's what was strange about the compatibility tests.
    Nearly everything was "Good", only the PHP version was "OK" even though the version on the concerned host is 5.2.16 and not the required 5.3.
    Do you think this is the cause?
    If so it should be red and "Not Good" or similar. "OK" suggested to me that I should try anyway.

    I will keep testing once a new version comes out. Thanks for the fast answer!

  4. Cory Lamle
    Member
    Plugin Author

    Posted 1 year ago #

    Good point! I believe this issues has happened on other version like 5.3 but it seems to be very few. It may be related to how the web services interprets the mime type request. Can you download other .zip files from the same server? If you can't download other php or zip files then it may be related to how the web server servers up file types.

    I may just go ahead and bump the requirement to 5.2.17 and just call it good. I have gotten mixed responses with versions below 5.2.17. The problem with PHP is that some hosts actually pull down there own version of the Core PHP files and make mods to it, or the Linux distro they use makes mods to the code they re-deploy.

    So for some people the face version of even 5.2.15/16 etc will work on their host (which I have seen), while other hosts that uses a different distro yet same version it won't. So the OK status seems to be the only status that still indicates it may work. Unfortunately its not always black and white when working with thousands of different hosts who use all kinds of distributions that aren't always identical at face version...

    However your point is taken and I'll just do a version compare in the next release to be 5.2.17 or better. On a side note if your using a host that isn't using the latest minor version line in case of 5.2 which is currently 17 (5.2.17) then you should have them update it. Most of these updates contain bug fixes and security patches. Not sure if that will necessarily fix the version your seeing with the plugin, but it will give you overall better stability and security....

    Hope that helps!

  5. masterjo
    Member
    Posted 1 year ago #

    Thanks that's great!
    This specific host is crap anyway. I'm just stuck with one last project which has to remain on there.

  6. masterjo
    Member
    Posted 1 year ago #

    Forgot to mark as resolved.

  7. Cory Lamle
    Member
    Plugin Author

    Posted 1 year ago #

    Not a problem, hardly anyone ever does, I usually just do it myself :)

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic